package org.eclipse.jwt.we.view.uml;
import java.util.MissingResourceException;
import java.util.ResourceBundle;


public class UmlViewPluginProperties
{

	private static final String BUNDLE_NAME = "org.eclipse.jwt.we.view.uml.plugin"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);


	private UmlViewPluginProperties()
	{
	}


	public static String getString(String key)
	{
		try
		{
			return RESOURCE_BUNDLE.getString(key);
		}
		catch (MissingResourceException e)
		{
			return '!' + key + '!';
		}
	}
}
